////////////////////////////////////////////////////////////////////////////////
///
///		Title		: Local File accessor
///
///		Copyright (c) 2006, NHN Co., Ltd. ALL RIGHTS RESERVED
///
///		Team		: Desktop Service Development
///
////////////////////////////////////////////////////////////////////////////////
#pragma once

#include "NPFile.h"

/**
* @group 	PCM Base Lib	
* @brief 	local file accessor
* @date		12/29/2006
* @author	samtree
* @remark	
*/
class CNPLocalFile : public INPFile
{
public:
	virtual BOOL		Open( LPCTSTR lpszURL, DWORD dwFlags = 0 );
	virtual void		Close();
	virtual DWORD		Read(  void* lpBuf, DWORD dwCount = 0 );
	virtual BOOL		Write( const void* lpBuf, DWORD dwCount );

	virtual ULONGLONG	GetSize();

protected:
private:
	HANDLE		m_hFile;

public:
	CNPLocalFile( void );
	virtual ~CNPLocalFile( void );
};
